Bug 1943471 - [Ceph-Ansible] [Container] ceph-crash container services not getting upgraded to newer version
Summary: [Ceph-Ansible] [Container] ceph-crash container services not getting upgraded...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2z1
Assignee: Guillaume Abrioux
QA Contact: Sunil Angadi
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2021-03-26 06:42 UTC by Sunil Angadi
Modified: 2021-06-09 16:16 UTC (History)
12 users (show)

Fixed In Version: ceph-ansible-4.0.49.2-1.el8cp, ceph-ansible-4.0.49.2-1.el7cp
Doc Type: Known Issue
Doc Text:
.The upgrade process does not automatically stop the `ceph-crash` container daemons. The upgrade process issues a call to the role `ceph-crash`, but the call only starts the `ceph-crash` service. If the `ceph-crash` container daemons are still running during the upgrade process, they will not be restarted when upgrade is complete. To work around this issue, manually restart the `ceph-crash` containers after upgrading.
Clone Of:
Environment:
Last Closed: 2021-04-28 20:13:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 6392 0 None open update: stop ceph-crash service before upgrading 2021-03-26 09:37:59 UTC
Red Hat Product Errata RHSA-2021:1452 0 None None None 2021-04-28 20:14:16 UTC

Comment 11 errata-xmlrpc 2021-04-28 20:13:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage security, bug fix, and enhancement Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1452


Note You need to log in before you can comment on or make changes to this bug.